public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pypugjs/
Date: Sat,  8 Jan 2022 10:36:21 +0000 (UTC)	[thread overview]
Message-ID: <1641638162.8c81c7e3e33cd3258d78241aec3023a63a172ecf.arthurzam@gentoo> (raw)

commit:     8c81c7e3e33cd3258d78241aec3023a63a172ecf
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  8 10:20:00 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Jan  8 10:36:02 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c81c7e3

dev-python/pypugjs: add 5.9.10

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/pypugjs/Manifest              |  1 +
 dev-python/pypugjs/pypugjs-5.9.10.ebuild | 43 ++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/pypugjs/Manifest b/dev-python/pypugjs/Manifest
index b56fe0c54d9a..6a11d910da85 100644
--- a/dev-python/pypugjs/Manifest
+++ b/dev-python/pypugjs/Manifest
@@ -1 +1,2 @@
+DIST pypugjs-5.9.10.tar.gz 48890 BLAKE2B 474a7d4bffaac17e282d7cd910cafc58d9d25d2d1250159cafe454e6a706eaaa9937c31129061c96b8a1f5eb008344e446ea3d86d0e9f02cefc614653ce6cdfe SHA512 f7bfe3567c40f485e048710c31d40ed008a85353f48169056a6f5e48907bf7999b0142b32b45ff413e08aef81811039af9384c86c259adb4d8458cbca422eefb
 DIST pypugjs-5.9.9.tar.gz 49022 BLAKE2B 26bdad4bd951eb8e515a0c181a56f68a8fdf8131dbd9e61c32c266bd91575143006f3cb6c2f477a2406110b22ed279a1167821a1b1f403a73bb333013173db2a SHA512 f34fab60e4f9d0680a36e5d2a28c5f99668c13b296a1bb70778dced235d223c592d49adbadc2f70b1a7e350f28a2f29dbce8febe2b8e99d60a0e050254180c71

diff --git a/dev-python/pypugjs/pypugjs-5.9.10.ebuild b/dev-python/pypugjs/pypugjs-5.9.10.ebuild
new file mode 100644
index 000000000000..d56f4b88fa06
--- /dev/null
+++ b/dev-python/pypugjs/pypugjs-5.9.10.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Pug (Jade) syntax adapter for Django, Jinja2 and Mako templates"
+HOMEPAGE="https://github.com/kakulukia/pypugjs"
+SRC_URI="https://github.com/kakulukia/pypugjs/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+	dev-python/six[${PYTHON_USEDEP}]
+	dev-python/chardet[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/django[${PYTHON_USEDEP}]
+		dev-python/jinja[${PYTHON_USEDEP}]
+		dev-python/mako[${PYTHON_USEDEP}]
+		www-servers/tornado[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests nose
+
+src_prepare() {
+	# Remove pyramid backend as pyramid isn't packaged
+	rm -r pypugjs/ext/pyramid || die
+	distutils-r1_src_prepare
+}
+
+pkg_postinst() {
+	optfeature "converting to Django output" dev-python/django
+	optfeature "converting to Jinja2 output" dev-python/jinja
+	optfeature "converting to Mako output" dev-python/mako
+	optfeature "converting to Tornado output" www-servers/tornado
+}


             reply	other threads:[~2022-01-08 10:36 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-08 10:36 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-05 20:42 [gentoo-commits] repo/gentoo:master commit in: dev-python/pypugjs/ Petr Vaněk
2024-06-08  9:02 Michał Górny
2024-06-08  7:15 Arthur Zamarin
2024-05-24 12:18 Michał Górny
2024-05-24 12:18 Michał Górny
2024-05-24 11:09 Michał Górny
2024-05-24  4:03 Michał Górny
2024-03-14 19:19 Sam James
2023-12-25  6:43 Sam James
2023-08-25  1:07 Brian Dolbec
2023-03-07  9:23 Sam James
2022-11-14  5:05 Michał Górny
2022-07-29 10:12 Arthur Zamarin
2022-06-05  5:40 Michał Górny
2022-05-16 13:24 Michał Górny
2022-04-01 12:27 Michał Górny
2022-03-14 10:32 Yixun Lan
2021-10-17  9:20 Michał Górny
2021-09-03  8:17 Arthur Zamarin
2021-09-03  8:17 Arthur Zamarin
2021-04-27 22:54 Sam James
2021-03-28 22:16 Brian Dolbec
2021-03-28 22:16 Brian Dolbec
2021-01-29 21:46 Brian Dolbec
2020-10-14 13:28 Brian Dolbec
2020-05-15  7:53 Brian Dolbec
2020-05-08 23:10 Brian Dolbec
2020-05-08 20:34 Brian Dolbec

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1641638162.8c81c7e3e33cd3258d78241aec3023a63a172ecf.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox